<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::SockAddr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/d7a/classThread_1_1Ip6_1_1SockAddr.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d1/d64/classThread_1_1Ip6_1_1SockAddr-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::SockAddr Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html">IPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements a socket address.  
 <a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../da/dfc/socket_8hpp_source.html">src/core/net/socket.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Ip6::SockAddr:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d3f/classThread_1_1Ip6_1_1SockAddr__inherit__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1SockAddr_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Ip6_1_1SockAddr_inherit__map" id="Thread_1_1Ip6_1_1SockAddr_inherit__map">
<area shape="rect" id="node2" href="../../d3/d28/structotSockAddr.html" title="This structure represents an IPv6 socket address. " alt="" coords="38,5,128,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Ip6::SockAddr:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d37/classThread_1_1Ip6_1_1SockAddr__coll__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1SockAddr_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Ip6_1_1SockAddr_coll__map" id="Thread_1_1Ip6_1_1SockAddr_coll__map">
<area shape="rect" id="node2" href="../../d3/d28/structotSockAddr.html" title="This structure represents an IPv6 socket address. " alt="" coords="38,92,128,117"/>
<area shape="rect" id="node3" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="33,5,133,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a87f5eb3dd8b150de6cc6dcb9aa868a84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87f5eb3dd8b150de6cc6dcb9aa868a84"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a87f5eb3dd8b150de6cc6dcb9aa868a84">SockAddr</a> (void)</td></tr>
<tr class="memdesc:a87f5eb3dd8b150de6cc6dcb9aa868a84"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the object. <br /></td></tr>
<tr class="separator:a87f5eb3dd8b150de6cc6dcb9aa868a84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f92ec4fbccf1d095aa8a43dd882dd2f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f">GetAddress</a> (void)</td></tr>
<tr class="memdesc:a9f92ec4fbccf1d095aa8a43dd882dd2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a reference to the IPv6 address.  <a href="#a9f92ec4fbccf1d095aa8a43dd882dd2f">More...</a><br /></td></tr>
<tr class="separator:a9f92ec4fbccf1d095aa8a43dd882dd2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a658e36ec5e40f250810e42bc8f12d34e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a658e36ec5e40f250810e42bc8f12d34e">GetAddress</a> (void) const </td></tr>
<tr class="memdesc:a658e36ec5e40f250810e42bc8f12d34e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a reference to the IPv6 address.  <a href="#a658e36ec5e40f250810e42bc8f12d34e">More...</a><br /></td></tr>
<tr class="separator:a658e36ec5e40f250810e42bc8f12d34e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structotSockAddr"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structotSockAddr')"><img src="../../closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="../../d3/d28/structotSockAddr.html">otSockAddr</a></td></tr>
<tr class="memitem:a10d1d646a9b527001349ca83b782cefc inherit pub_attribs_structotSockAddr"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10d1d646a9b527001349ca83b782cefc"></a>
<a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d28/structotSockAddr.html#a10d1d646a9b527001349ca83b782cefc">mAddress</a></td></tr>
<tr class="memdesc:a10d1d646a9b527001349ca83b782cefc inherit pub_attribs_structotSockAddr"><td class="mdescLeft">&#160;</td><td class="mdescRight">An IPv6 address. <br /></td></tr>
<tr class="separator:a10d1d646a9b527001349ca83b782cefc inherit pub_attribs_structotSockAddr"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b52e6e0906eb7727373a26412a1715 inherit pub_attribs_structotSockAddr"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9b52e6e0906eb7727373a26412a1715"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d28/structotSockAddr.html#ad9b52e6e0906eb7727373a26412a1715">mPort</a></td></tr>
<tr class="memdesc:ad9b52e6e0906eb7727373a26412a1715 inherit pub_attribs_structotSockAddr"><td class="mdescLeft">&#160;</td><td class="mdescRight">A transport-layer port. <br /></td></tr>
<tr class="separator:ad9b52e6e0906eb7727373a26412a1715 inherit pub_attribs_structotSockAddr"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d270a107da02908c99f17e22ad70e9a inherit pub_attribs_structotSockAddr"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d270a107da02908c99f17e22ad70e9a"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d28/structotSockAddr.html#a5d270a107da02908c99f17e22ad70e9a">mScopeId</a></td></tr>
<tr class="memdesc:a5d270a107da02908c99f17e22ad70e9a inherit pub_attribs_structotSockAddr"><td class="mdescLeft">&#160;</td><td class="mdescRight">An IPv6 scope identifier. <br /></td></tr>
<tr class="separator:a5d270a107da02908c99f17e22ad70e9a inherit pub_attribs_structotSockAddr"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements a socket address. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9f92ec4fbccf1d095aa8a43dd882dd2f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a>&amp; Thread::Ip6::SockAddr::GetAddress </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a reference to the IPv6 address. </p>
<dl class="section return"><dt>Returns</dt><dd>A reference to the IPv6 address. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr_a9f92ec4fbccf1d095aa8a43dd882dd2f_icgraph.png" border="0" usemap="#d2/d7a/classThread_1_1Ip6_1_1SockAddr_a9f92ec4fbccf1d095aa8a43dd882dd2f_icgraph" alt=""/></div>
<map name="d2/d7a/classThread_1_1Ip6_1_1SockAddr_a9f92ec4fbccf1d095aa8a43dd882dd2f_icgraph" id="d2/d7a/classThread_1_1Ip6_1_1SockAddr_a9f92ec4fbccf1d095aa8a43dd882dd2f_icgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="208,784,370,822"/>
<area shape="rect" id="node3" href="../../de/d76/classThread_1_1Coap_1_1Server.html#aeb97e0257808d7cad4adceccd87f6b7d" title="This method sends a CoAP response from the server. " alt="" coords="481,494,631,533"/>
<area shape="rect" id="node4" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1" title="This method sends MGMT_COMMISSIONER_SET. " alt="" coords="745,112,994,150"/>
<area shape="rect" id="node6" href="../../d6/df9/classThread_1_1EnergyScanClient.html#a6d639305cb6c6762d41a2825ff8da85e" title="This method sends an Energy Scan Query message. " alt="" coords="781,226,958,265"/>
<area shape="rect" id="node8" href="../../dc/da5/classThread_1_1PanIdQueryClient.html#a440066c1be45fe125c8298276c232939" title="This method sends a PAN ID Query message. " alt="" coords="781,289,958,328"/>
<area shape="rect" id="node9" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="783,998,956,1037"/>
<area shape="rect" id="node19" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="1065,701,1248,740"/>
<area shape="rect" id="node20" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="2388,457,2549,496"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1315,660,1529,685"/>
<area shape="rect" id="node38" href="../../d7/dc5/classThread_1_1PanIdQueryServer.html#a9a7504e52a1a9f4023dcf2ceedd3cbf6" title="This constructor initializes the object. " alt="" coords="779,696,960,734"/>
<area shape="rect" id="node39" href="../../d8/d13/classThread_1_1AnnounceBeginClient.html#a1e2f665eab6acc191367c082d2ff8134" title="This method sends a Announce Begin message. " alt="" coords="456,841,656,880"/>
<area shape="rect" id="node40" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#aea8334e3a50c507bc1d8c4611830dff6" title="This method sends MGMT_COMMISSIONER_GET. " alt="" coords="431,904,681,942"/>
<area shape="rect" id="node41" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="469,966,643,1005"/>
<area shape="rect" id="node42" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a8ab1b7f1b2f78a2bebeeb91872a14b6f" title="This method sets the Joiner UDP Port. " alt="" coords="1050,49,1263,88"/>
<area shape="rect" id="node44" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#adffbb83d392429643d1fed548a738366" title="This method sends a MGMT_DATASET_CHANGED message to commissioner. " alt="" coords="467,1081,645,1120"/>
<area shape="rect" id="node45" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="450,1144,662,1196"/>
<area shape="rect" id="node47" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#abc624ac04ecaf17b1b738a475e5b0d6a" title="This method sends Diagnostic Get request. " alt="" coords="425,1220,687,1258"/>
<area shape="rect" id="node49" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#a0777620633e36db7a9bafe8654019d92" title="This method sends Diagnostic Reset request. " alt="" coords="418,1282,694,1321"/>
<area shape="rect" id="node7" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html#a96a0df60953172cb430044db9ae7f0d7" title="This constructor initializes the Leader object. " alt="" coords="780,466,959,505"/>
<area shape="rect" id="node18" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1855,405,2059,444"/>
<area shape="rect" id="node21" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="760,581,979,620"/>
<area shape="rect" id="node37" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="742,404,997,442"/>
<area shape="rect" id="node5" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a142100561cda243c291e4bc7a4d6511a" title="This method stops the Commissioner service. " alt="" coords="1045,112,1267,150"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2633,577,2797,616"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2848,562,3012,601"/>
<area shape="rect" id="node12" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2845,472,3015,510"/>
<area shape="rect" id="node17" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2860,625,3000,664"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="3082,434,3263,460"/>
<area shape="rect" id="node14" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="3331,456,3504,494"/>
<area shape="rect" id="node15" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="3375,406,3460,432"/>
<area shape="rect" id="node16" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3552,400,3707,438"/>
<area shape="rect" id="node22" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="1316,558,1529,597"/>
<area shape="rect" id="node23" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="1050,586,1263,625"/>
<area shape="rect" id="node25" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1869,772,2044,810"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="2116,861,2304,900"/>
<area shape="rect" id="node27" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="2361,861,2577,900"/>
<area shape="rect" id="node29" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="2129,714,2291,753"/>
<area shape="rect" id="node31" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1592,657,1783,696"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1577,454,1797,480"/>
<area shape="rect" id="node36" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="2634,514,2796,553"/>
<area shape="rect" id="node28" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="3063,729,3283,754"/>
<area shape="rect" id="node30" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="2352,742,2585,781"/>
<area shape="rect" id="node32" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1878,572,2035,597"/>
<area shape="rect" id="node33" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1859,621,2055,646"/>
<area shape="rect" id="node34" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1845,670,2068,696"/>
<area shape="rect" id="node43" href="../../da/d96/group__config-router.html#ga1a81bcce900d21d72fe374af1f756956" title="Set the Joiner UDP Port. " alt="" coords="1354,73,1491,98"/>
<area shape="rect" id="node46" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="748,1061,991,1100"/>
<area shape="rect" id="node48" href="../../d2/d11/group__udp.html#ga4198c5e5356efec22801439076076a9f" title="Send a Network Diagnostic Get request. " alt="" coords="796,1226,943,1252"/>
<area shape="rect" id="node50" href="../../d2/d11/group__udp.html#ga6f3d90ff7fcd39b3767b1ebc8eb58e1a" title="Send a Network Diagnostic Reset request. " alt="" coords="789,1289,950,1314"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a658e36ec5e40f250810e42bc8f12d34e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a>&amp; Thread::Ip6::SockAddr::GetAddress </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a reference to the IPv6 address. </p>
<dl class="section return"><dt>Returns</dt><dd>A reference to the IPv6 address. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../da/dfc/socket_8hpp_source.html">socket.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html">SockAddr</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
